Package com.google.android.exoplayer2.source.dash.manifest

## Class DashManifestParser.RepresentationInfo

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.DashManifestParser.RepresentationInfo

- Enclosing class:
    DashManifestParser

      protected static final class DashManifestParser.RepresentationInfo
      extends Object

  A parsed Representation element.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `baseUrl` |
    `ArrayList<DrmInitData.SchemeData>` | `drmSchemeDatas` |
    `String` | `drmSchemeType` |
    `Format` | `format` |
    `ArrayList<Descriptor>` | `inbandEventStreams` |
    `long` | `revisionId` |
    `SegmentBase` | `segmentBase` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepresentationInfo​(Format format, String baseUrl, SegmentBase segmentBase, String drmSchemeType, ArrayList<DrmInitData.SchemeData> drmSchemeDatas, ArrayList<Descriptor> inbandEventStreams, long revisionId)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          public final Format format

    - #### baseUrl

          public final String baseUrl

    - #### segmentBase

          public final SegmentBase segmentBase

    - #### drmSchemeType

          @Nullable
          public final String drmSchemeType

    - #### drmSchemeDatas

          public final ArrayList<DrmInitData.SchemeData> drmSchemeDatas

    - #### inbandEventStreams

          public final ArrayList<Descriptor> inbandEventStreams

    - #### revisionId

          public final long revisionId

  - ### Constructor Detail

    - #### RepresentationInfo

          public RepresentationInfo​(Format format,
                                    String baseUrl,
                                    SegmentBase segmentBase,
                                    @Nullable
                                    String drmSchemeType,
                                    ArrayList<DrmInitData.SchemeData> drmSchemeDatas,
                                    ArrayList<Descriptor> inbandEventStreams,
                                    long revisionId)